package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Author Gwl·Q
 * @ClassName OrderDataReviseRequest
 * @Date 2020/10/22 10:03 AM
 */
public class OrderDataReviseRequest implements Serializable {

    private static final long serialVersionUID = 6493477376691145058L;

    @ApiModelProperty("订单号")
    private String orderNo;

    @ApiModelProperty("订单号")
    private List<String> orderNoList;

    @ApiModelProperty("用户ID")
    private Long userId;

    @ApiModelProperty("下单开始时间")
    private Date orderAtStart;

    @ApiModelProperty("下单结束时间")
    private Date orderAtEnd;

    @ApiModelProperty("门店ID")
    private Long storeId;

    @ApiModelProperty("执行，1")
    private Integer exec;

    @ApiModelProperty("订单ID")
    private List<Long> idList;

    private Long sellerId;

    private Long newUserId;

    private int maxLoop;

    public Integer getExec() {
        return exec;
    }

    public void setExec(Integer exec) {
        this.exec = exec;
    }

    public List<String> getOrderNoList() {
        return orderNoList;
    }

    public void setOrderNoList(List<String> orderNoList) {
        this.orderNoList = orderNoList;
    }

    public int getMaxLoop() {
        return maxLoop;
    }

    public void setMaxLoop(int maxLoop) {
        this.maxLoop = maxLoop;
    }

    public Long getNewUserId() {
        return newUserId;
    }

    public void setNewUserId(Long newUserId) {
        this.newUserId = newUserId;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public List<Long> getIdList() {
        return idList;
    }

    public void setIdList(List<Long> idList) {
        this.idList = idList;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Date getOrderAtStart() {
        return orderAtStart;
    }

    public void setOrderAtStart(Date orderAtStart) {
        this.orderAtStart = orderAtStart;
    }

    public Date getOrderAtEnd() {
        return orderAtEnd;
    }

    public void setOrderAtEnd(Date orderAtEnd) {
        this.orderAtEnd = orderAtEnd;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
